Skip to main content
GET
/
businesses
/
invitations
/
token
/
{token}
Gets a business invitation by its acceptance token.
curl --request GET \
  --url https://api.leadping.ai/businesses/invitations/token/{token}
{
  "safeMessage": "<string>",
  "id": "<string>",
  "businessId": "<string>",
  "businessName": "<string>",
  "email": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "sentAt": "2023-11-07T05:31:56Z",
  "resentAt": "2023-11-07T05:31:56Z",
  "acceptedAt": "2023-11-07T05:31:56Z",
  "revokedAt": "2023-11-07T05:31:56Z",
  "sendFailureReason": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

token
string
required

The invitation acceptance token.

Response

Returns the business invitation response.

API response containing business invitation data returned to callers.

safeMessage
string | null

The safe message value for this business invitation.

id
string

The unique ID for this business invitation.

businessId
string

The business ID associated with this business invitation.

businessName
string

The business name value for this business invitation.

email
string

The email address associated with this business invitation.

role
enum<string>

Defines the supported Business User Role values.

Available options:
Owner,
Admin,
Agent
status
enum<string>

Defines the supported Business Invitation Status values.

Available options:
Pending,
Accepted,
Expired,
Revoked,
Resent,
Failed to send
createdAt
string<date-time>

The date and time for the created at value on this business invitation.

expiresAt
string<date-time>

The date and time for the expires at value on this business invitation.

sentAt
string<date-time> | null

The date and time for the sent at value on this business invitation.

resentAt
string<date-time> | null

The date and time for the resent at value on this business invitation.

acceptedAt
string<date-time> | null

The date and time for the accepted at value on this business invitation.

revokedAt
string<date-time> | null

The date and time for the revoked at value on this business invitation.

sendFailureReason
string | null

The human-readable send failure reason explaining this business invitation.